Skip to main content

GET /v1/xiaohongshu/search/note_v2

Xiaohongshu Note Search API (V2)

stable · 16 credits per success

Search Xiaohongshu (RedNote) notes by keyword, with pagination and sort, note-type and publish-time filters. Use it to support topic research, content discovery and monitoring of keyword-related posts.

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/xiaohongshu/search/note_v2?page=1&sort=general&keyword=%E5%92%96%E5%95%A1&noteTime=ONE_DAY&noteType=_0' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
items[ 2 items ]
can_cut:false
taxonomy1:"5ab094be481d26b8ef9045f1"
extra_info{ 1 item }
query_type:0
request_dqa:0
query_intent{ 3 items }
strategy_info{ 2 items }
ai_mode_enable:false
cur_cut_number:0
is_broad_query:true
service_status:
"{"filter":"not_required","note":"success","onebox":"not_required","cost":{"all":..."
show_single_col:false
query_debug_info{ 1 item }
search_request_id:"02ccf80bdf52bdec"
request_dqa_instant:false
video_intent_grade_v3:1
search_dqa_new_page_exp:1
search_pull_down_opt_exp:1
dqa_authorized_user_by_shared:false
}
meta{
endpoint:"xiaohongshu.search.note_v2"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    pageintegerqueryno用于分页的页码。1
    sortstringqueryno结果集的排序方式。 可选值: - `general`:综合排序 - `popularity_descending`:热度降序 - `time_descending`:时间降序 - `comment_descending`:评论数降序 -…general
    keywordstringqueryyes搜索关键词。咖啡
    noteTimestringqueryno笔记发布时间筛选。结果可能包含超出所选时间范围的笔记。 可选值: - `ONE_DAY`:一天内 - `ONE_WEEK`:一周内 - `HALF_YEAR`:半年内ONE_DAY
    noteTypestringqueryno笔记类型过滤器。 可用值: - `_0`: 通用 - `_1`: 视频 - `_2`: 普通_0

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 16 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Xiaohongshu endpoints →

    Search

    Search endpoints and docs